unit Main;

interface

uses
  Windows, Forms, ShellAPI, StdCtrls, Menus, Classes, Controls,
  AnimatedFormEffect;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    GroupBox1: TGroupBox;
    RandomBtn: TButton;
    SpinBtn: TButton;
    VortexBtn: TButton;
    ScatterGatherBtn: TButton;
    SpikeBtn: TButton;
    FireworksBtn: TButton;
    Effects1: TMenuItem;
    Random1: TMenuItem;
    Spike1: TMenuItem;
    Vortex1: TMenuItem;
    ScatterGather1: TMenuItem;
    Spike2: TMenuItem;
    Fireworks1: TMenuItem;
    Button1: TButton;
    AnimatedFormEffect1: TAnimatedFormEffect;
    Label1: TLabel;
    Label2: TLabel;
    procedure RandomBtnClick(Sender: TObject);
    procedure SpinBtnClick(Sender: TObject);
    procedure VortexBtnClick(Sender: TObject);
    procedure ScatterGatherBtnClick(Sender: TObject);
    procedure SpikeBtnClick(Sender: TObject);
    procedure FireworksBtnClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses DemoForm;

{$R *.DFM}

procedure TForm1.RandomBtnClick(Sender: TObject);
begin
  with Demo do
   begin
    AE.EffectType := etRandom;

    AE.Open;
    ShowModal;
    AE.Close;
   end;
end;

procedure TForm1.SpinBtnClick(Sender: TObject);
begin
  with Demo do
   begin
    AE.EffectType := etSpin;

    AE.Open;
    ShowModal;
    AE.Close;
   end;
end;

procedure TForm1.VortexBtnClick(Sender: TObject);
begin
  with Demo do
   begin
    AE.EffectType := etVortex;

    AE.Open;
    ShowModal;
    AE.Close;
   end;
end;

procedure TForm1.ScatterGatherBtnClick(Sender: TObject);
begin
  with Demo do
   begin
    AE.EffectType := etScatterGather;

    AE.Open;
    ShowModal;
    AE.Close;
   end;
end;

procedure TForm1.SpikeBtnClick(Sender: TObject);
begin
  with Demo do
   begin
    AE.EffectType := etSpike;

    AE.Open;
    ShowModal;
    AE.Close;
   end;
end;

procedure TForm1.FireworksBtnClick(Sender: TObject);
begin
  with Demo do
   begin
    AE.EffectType := etFireworks;

    AE.Open;
    ShowModal;
    AE.Close;
   end;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  ShellExecute(GetDesktopWindow, 'open', 'https://secure.element5.com/register.html?productid=135736', nil, nil, sw_ShowMaximized);
end;

end.
